Description

This will be an overview of EML and its relationship to Morpho. It will also be practical guide for
users to understand how to take conventionally reported metadata, such as text documents or
other legacy systems, and manually enter it into Morpho. (This is not to be confused with
automated conversions of metadata into EML).

Related issues:
Blocks EML - Bug #338: need coverage documentation, review all documentation Resolved

11/29/2001

History

#1 - 12/03/2001 10:07 AM - Matt Jones

Please clarify how this relates to bug #338, which is intended to provide
specific documentation for each eml field. Is this going to be a tutorial that
utilizes the field definitions? Also, how does it relate to the morpho tutorial
(bug #296)? Thanks.

#2 - 12/03/2001 11:00 AM - David Blankman

This is closely related to the work that Eric is doing for the seminars. It is not intended to be an
complete documentation of EML, nor a specific Morpho tutorial, but rather a practical bridge

between the two. | invision taking portions of the McLaughlin journal article "Native and Alien

Species..." that Eric and Cristy are using an example metadata for the seminar as well as using

some of the Sevilleta datasets (metadata & data combined in a sngle document) to show how one takes
metadata from a "familiar" source to enter it into Morpho. Feedback that | have received tells me

that both students & LTER ecologists would benefit from a practical guide to bridge conventional
reporting mechanisms to the more structured EML format.

#3 - 01/10/2002 12:37 PM - David Blankman

Contributed partial version of documentation set to CVS for review.

#4 - 08/27/2002 09:56 AM - David Blankman

Now that EML 2 is close to release, | can continue with this project. Since i

will be working one-on-one with LTER information managers over the next few
months | will be revisiting the documentation this week. | plan to rework my
"Taxonomy of EML" in light of the changes from beta8.

My work with LTER information managers will give me a better idea of the
appropriate level to aim the documentation.

#5 - 10/01/2002 12:59 PM - Matt Jones

We agreed during the conference call that this would best be a "Primer" sort of
document that systematically builds up an eml dataset document, explaining why
each section is needed as one proceeds. First you might start with just a
dataset with a id/title/creator, explain it, and then add in an entity with its
attributes, and explain it (showing the new parts of the XML in a highlighted
color like red), and then keep adding modules (coverage, project, protocol,
methods, etc), explaining each addition as we proceed. Ideally this would be
distributed with the EML 2.0.0 release, but if that schedule can't be met, then

we could just link it into the EML web site when it is ready. Chris suggested

that maybe the eml should be represented as a tree diagram of blocks rather than
as XML for understandability for end users, but there's probably a need for both.
https://projects.ecoinformatics.org/ecoinfo/issues/296

#6 - 10/24/2002 09:56 AM - David Blankman

Continuing to make progress but may not be ready for 2.0 rollout. | have been
putting more effort into developing the scripts for converting site metadata.

#7 - 10/29/2002 11:08 AM - David Blankman

EML Primer is postponed until December 1 in order to be ready For the next Morpho release and for the Spring KNB seminars

#8 - 12/11/2002 01:09 PM - David Blankman

Making progress. | plan to have a draft for review avaiable on Monday, Dec 16.

#9 - 01/06/2003 12:11 PM - David Blankman

Progress has been much slower than | anticipated. | am hoping the the balance
goes faster.

#10 - 01/06/2003 12:15 PM - David Blankman

| am producing this in Adobe InDesign which allows me to export in xml. | have
been using a subset of docbook tags. Once | get further along | will write a
stylesheet to display the document in html form

#11 - 01/14/2003 11:21 AM - David Blankman

Basically includes introduction and detailed coverage of creator elements

#12 - 01/14/2003 11:25 AM - David Blankman

This is an xml document using the docbook.xsd elements. Once | get further |
will include an xslt for this.

#13 - 05/02/2003 10:48 AM - David Blankman

This is a microsoft word document. It should be reviewed for content, not
format/design.

#14 - 09/02/2004 09:38 AM - Matt Jones

Changing QA contact to the list for all current EML bugs so that people can
track what is happening.

#15 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 365
